Option Strict Off
Option Explicit On
Friend Class Form1
	Inherits System.Windows.Forms.Form
	'
	Private objApp As SolidEdgeFramework.Application
	Private objDoc As Object
	Private ObjAssyDoc As Object
	
	
	Private Sub Command1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command1.Click
		
		Dim i As Short
		'
		On Error Resume Next
		' connect to Solid Edge
		objApp = GetObject( , "SolidEdge.Application")
		If Err.Number Then
			MsgBox("Solid Edge Must Be Running")
			Exit Sub
		End If
		'
		' check for an already open assembly
		If objApp.Documents.Count > 0 Then
			If objApp.ActiveDocumentType = SolidEdgeConstants.DocumentTypeConstants.igAssemblyDocument Then
				If MsgBox("Use the active assembly document?", MsgBoxStyle.Question + MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton2) = MsgBoxResult.Yes Then
					ObjAssyDoc = objApp.ActiveDocument
				End If
			End If
		End If
		'
		' Create a new Assembly document to place the parts in.
		' in case none is open or the user doesn't want to use the active one
		If ObjAssyDoc Is Nothing Then
			ObjAssyDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument", "Normal.asm")
			If Err.Number <> 0 Then
				MsgBox("Unable to create Assembly Document: " & Err.Number & " / " & Err.Description)
				Me.Close()
				Exit Sub
			End If
		End If
		
		Command1.Text = "Running"
		'
		' process the selected filenames
		For i = 0 To filFile.Items.Count - 1
			If filFile.GetSelected(i) Then
				'
				' Add a part to the assembly.
				'UPGRADE_WARNING: Couldn't resolve default property of object ObjAssyDoc.Parts. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				ObjAssyDoc.Parts.AddByFilename(Trim(filFile.Path & "\" & filFile.Items(i)))
				If Err.Number <> 0 Then
					MsgBox("Unable to add file: " & vbNewLine & Trim(filFile.Path & "\" & filFile.Items(i)) & vbNewLine & "Error: " & Err.Number & " / " & Err.Description)
				Else
					filFile.SetSelected(i, False)
				End If
				Err.Clear()
			End If
		Next 
		'
		Command1.Text = "Process"
		
		'
	End Sub
	
	Private Sub Command2_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command2.Click
		'
		Me.Close()
		'
	End Sub
	'
	Private Sub dirFile_Change(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles dirFile.Change
		filFile.Path = dirFile.Path
	End Sub
	
	Private Sub drvFile_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles drvFile.SelectedIndexChanged
		dirFile.Path = drvFile.Drive
	End Sub
	'
	Private Sub filFile_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles filFile.SelectedIndexChanged
		'
		'    SEpartX1.PartFile = filFile.Path & "\" & filFile.FileName
		'
	End Sub
	
	Private Sub Form1_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		'
	End Sub
	
	Private Sub Form1_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
		'
		'UPGRADE_NOTE: Object objDoc may not be destroyed until it is garbage collected. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6E35BFF6-CD74-4B09-9689-3E1A43DF8969"'
		objDoc = Nothing
		'UPGRADE_NOTE: Object ObjAssyDoc may not be destroyed until it is garbage collected. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6E35BFF6-CD74-4B09-9689-3E1A43DF8969"'
		ObjAssyDoc = Nothing
		'UPGRADE_NOTE: Object objApp may not be destroyed until it is garbage collected. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6E35BFF6-CD74-4B09-9689-3E1A43DF8969"'
		objApp = Nothing
		'
	End Sub
End Class